Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface TimerService

public interface TimerService

The TimerService interface provides enterprise bean components with access to the container-provided Timer Service. The EJB Timer Service allows entity beans, stateless session beans, and message-driven beans to be registered for timer callback events at a specified time, after a specified elapsed time, or after a specified interval.

Method Summary
`Timer` | `createTimer(java.util.Date initialExpiration, long intervalDuration, java.io.Serializable info)` Create an interval timer whose first expiration occurs at a given point in time and whose subsequent expirations occur after a specified interval.
`Timer` | `createTimer(java.util.Date expiration, java.io.Serializable info)` Create a single-action timer that expires at a given point in time.
`Timer` | `createTimer(long initialDuration, long intervalDuration, java.io.Serializable info)` Create an interval timer whose first expiration occurs after a specified duration, and whose subsequent expirations occur after a specified interval.
`Timer` | `createTimer(long duration, java.io.Serializable info)` Create a single-action timer that expires after a specified duration.
`java.util.Collection` | `getTimers()` Get all the active timers associated with this bean.

Method Detail

### createTimer

    public Timer createTimer(long duration,
                             java.io.Serializable info)
                      throws java.lang.IllegalArgumentException,
                             java.lang.IllegalStateException,
                             EJBException

  Create a single-action timer that expires after a specified duration.

  Parameters:
    `duration` - The number of milliseconds that must elapse before the timer expires.
    `info` - Application information to be delivered along with the timer expiration notification. This can be null.
  Returns:
    The newly created Timer.
  Throws:
    `java.lang.IllegalArgumentException` - If duration is negative
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `EJBException` - If this method fails due to a system-level failure.

### createTimer

    public Timer createTimer(long initialDuration,
                             long intervalDuration,
                             java.io.Serializable info)
                      throws java.lang.IllegalArgumentException,
                             java.lang.IllegalStateException,
                             EJBException

  Create an interval timer whose first expiration occurs after a specified duration, and whose subsequent expirations occur after a specified interval.

  Parameters:
    `initialDuration` - The number of milliseconds that must elapse before the first timer expiration notification.
    `intervalDuration` - The number of milliseconds that must elapse between timer expiration notifications. Expiration notifications are scheduled relative to the time of the first expiration. If expiration is delayed(e.g. due to the interleaving of other method calls on the bean) two or more expiration notifications may occur in close succession to "catch up".
    `info` - Application information to be delivered along with the timer expiration. This can be null.
  Returns:
    The newly created Timer.
  Throws:
    `java.lang.IllegalArgumentException` - If initialDuration is negative, or intervalDuration is negative.
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `EJBException` - If this method could not complete due to a system-level failure.

### createTimer

    public Timer createTimer(java.util.Date expiration,
                             java.io.Serializable info)
                      throws java.lang.IllegalArgumentException,
                             java.lang.IllegalStateException,
                             EJBException

  Create a single-action timer that expires at a given point in time.

  Parameters:
    `expiration` - The point in time at which the timer must expire.
    `info` - Application information to be delivered along with the timer expiration notification. This can be null.
  Returns:
    The newly created Timer.
  Throws:
    `java.lang.IllegalArgumentException` - If expiration is null, or expiration.getTime() is negative.
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `EJBException` - If this method could not complete due to a system-level failure.

### createTimer

    public Timer createTimer(java.util.Date initialExpiration,
                             long intervalDuration,
                             java.io.Serializable info)
                      throws java.lang.IllegalArgumentException,
                             java.lang.IllegalStateException,
                             EJBException

  Create an interval timer whose first expiration occurs at a given point in time and whose subsequent expirations occur after a specified interval.

  Parameters:
    `initialExpiration` - The point in time at which the first timer expiration must occur.
    `intervalDuration` - The number of milliseconds that must elapse between timer expiration notifications. Expiration notifications are scheduled relative to the time of the first expiration. If expiration is delayed(e.g. due to the interleaving of other method calls on the bean) two or more expiration notifications may occur in close succession to "catch up".
    `info` - Application information to be delivered along with the timer expiration. This can be null.
  Returns:
    The newly created Timer.
  Throws:
    `java.lang.IllegalArgumentException` - If initialExpiration is null, or initialExpiration.getTime() is negative, or intervalDuration is negative.
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `EJBException` - If this method could not complete due to a system-level failure.

### getTimers

    public java.util.Collection getTimers()
                                   throws java.lang.IllegalStateException,
                                          EJBException

  Get all the active timers associated with this bean.

  Returns:
    A collection of javax.ejb.Timer objects.
  Throws:
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `EJBException` - If this method could not complete due to a system-level failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.